Package com.microblink.blinkid.results.ocr

# Class OcrChar

java.lang.Object
com.microblink.blinkid.results.ocr.OcrChar

All Implemented Interfaces:
  `android.os.Parcelable`

public class OcrChar extends Object implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<OcrChar>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OcrChar(long nativePtr, Object parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `OcrFont`
  `getFont()`
  Returns the font of the character
  `int`
  `getHeight()`
  Returns the height of the char, in pixels.
  `Rectangle`
  `getPosition()`
  Returns the position of char in image
  `int`
  `getQuality()`
  Returns the recognition quality of the char.
  `char`
  `getValue()`
  Returns the value of the char.
  `boolean`
  `isUncertain()`
  Returns true if OCR engine thinks this char is uncertain
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<OcrChar> CREATOR

- ## Constructor Details

  - ### OcrChar

    public OcrChar(long nativePtr, @Nullable Object parent)

- ## Method Details

  - ### getValue

    public char getValue()
    Returns the value of the char.
    Returns:
      the value of the char

  - ### getHeight

    public int getHeight()
    Returns the height of the char, in pixels.
    Returns:
      the height of the char, in pixels.

  - ### isUncertain

    public boolean isUncertain()
    Returns true if OCR engine thinks this char is uncertain
    Returns:
      true if OCR engine thinks this char is uncertain

  - ### getQuality

    @IntRange(from=0L, to=100L) public int getQuality()
    Returns the recognition quality of the char. Max quality is 100 and min quality is 0.
    Returns:
      the recognition quality of the char.

  - ### getPosition

    @Nullable public Rectangle getPosition()
    Returns the position of char in image
    Returns:
      the position of char in image

  - ### getFont

    @Nullable public OcrFont getFont()
    Returns the font of the character
    Returns:
      the font of the character

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`